# Value_TypeCode.h File Reference

`#include "tao/TypeCode.h"`
`#include "tao/TypeCode_Base_Attributes.h"`
`#include "tao/ValueModifierC.h"`
`#include "tao/VisibilityC.h"`

Include dependency graph for Value_TypeCode.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | TAO
namespace | TAO::TypeCode

## Classes

class | TAO::TypeCode::Value< StringType, TypeCodeType, FieldArrayType, RefCountPolicy >
| `CORBA::TypeCode` implementation for an OMG IDL `valuetype` or `event`. More...

## Detailed Description

Id
  Value_TypeCode.h,v 1.11 2005/05/12 00:54:18 ossama Exp

Header file for a `tk_value` and `tk_event` `CORBA::TypeCodes`.

Author:
  Ossama Othman <ossama@dre.vanderbilt.edu>